Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4509)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4510)
@@ -591,13 +631,15 @@
  END SUBROUTINE tcm_boundary_conds
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check parameters routine for turbulence closure module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_check_parameters
 
-    USE control_parameters,                                                    &
-        ONLY:  message_string, turbulent_inflow, turbulent_outflow
+    USE control_parameters,                                                                        &
+        ONLY:  message_string,                                                                     &
+               turbulent_inflow,                                                                   &
+               turbulent_outflow
 
     IMPLICIT NONE
@@ -625,6 +667,5 @@
 
        CASE DEFAULT
-          message_string = 'Unknown turbulence closure: ' //                &
-                           TRIM( turbulence_closure )
+          message_string = 'Unknown turbulence closure: ' // TRIM( turbulence_closure )
           CALL message( 'tcm_check_parameters', 'PA0500', 1, 2, 0, 6, 0 )
 
@@ -641,10 +682,9 @@
        c_1 = rans_const_c(1)
        c_2 = rans_const_c(2)
-       c_3 = rans_const_c(3)   !> @todo clarify how to switch between different models
+       c_3 = rans_const_c(3)   !> @todo Clarify how to switch between different models
        c_4 = rans_const_c(4)
 
        IF ( turbulent_inflow .OR. turbulent_outflow )  THEN
-          message_string = 'turbulent inflow/outflow is not yet '//            &
-                           'implemented for RANS mode'
+          message_string = 'turbulent inflow/outflow is not yet '// 'implemented for RANS mode'
           CALL message( 'tcm_check_parameters', 'PA0501', 1, 2, 0, 6, 0 )
        ENDIF
@@ -653,8 +693,7 @@
 !
 !--    LES mode
-       c_0 = 0.1_wp    !according to Lilly (1967) and Deardorff (1980)
-
-       dsig_e = 1.0_wp !assure to use K_m to calculate TKE instead
-                       !of K_e which is used in RANS mode
+       c_0 = 0.1_wp    !According to Lilly (1967) and Deardorff (1980)
+
+       dsig_e = 1.0_wp !Assure to use K_m to calculate TKE instead of K_e which is used in RANS mode
 
     ENDIF
@@ -662,15 +701,15 @@
  END SUBROUTINE tcm_check_parameters
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check data output.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_check_data_output( var, unit )
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  unit     !< unit of output variable
-    CHARACTER (LEN=*) ::  var      !< name of output variable
+    CHARACTER(LEN=*) ::  unit  !< unit of output variable
+    CHARACTER(LEN=*) ::  var   !< name of output variable
 
 
@@ -691,18 +730,17 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Define appropriate grid for netcdf variables.
-!> It is called out from subroutine netcdf.
-!------------------------------------------------------------------------------!
+!> Define appropriate grid for netcdf variables. It is called out from subroutine netcdf.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_define_netcdf_grid( var, found, grid_x, grid_y, grid_z )
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*), INTENT(OUT) ::  grid_x   !< x grid of output variable
-    CHARACTER (LEN=*), INTENT(OUT) ::  grid_y   !< y grid of output variable
-    CHARACTER (LEN=*), INTENT(OUT) ::  grid_z   !< z grid of output variable
-    CHARACTER (LEN=*), INTENT(IN)  ::  var      !< name of output variable
+    CHARACTER(LEN=*), INTENT(OUT) ::  grid_x  !< x grid of output variable
+    CHARACTER(LEN=*), INTENT(OUT) ::  grid_y  !< y grid of output variable
+    CHARACTER(LEN=*), INTENT(OUT) ::  grid_z  !< z grid of output variable
+    CHARACTER(LEN=*), INTENT(IN)  ::  var     !< name of output variable
 
     LOGICAL, INTENT(OUT) ::  found   !< flag if output variable is found
@@ -740,26 +778,28 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Average 3D data.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_3d_data_averaging( mode, variable )
 
 
-    USE averaging,                                                             &
-        ONLY:  diss_av, kh_av, km_av
-
-    USE control_parameters,                                                    &
+    USE averaging,                                                                                 &
+        ONLY:  diss_av,                                                                            &
+               kh_av,                                                                              &
+               km_av
+
+    USE control_parameters,                                                                        &
         ONLY:  average_count_3d
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  mode       !< flag defining mode 'allocate', 'sum' or 'average'
-    CHARACTER (LEN=*) ::  variable   !< name of variable
-
-    INTEGER(iwp) ::  i   !< loop index
-    INTEGER(iwp) ::  j   !< loop index
-    INTEGER(iwp) ::  k   !< loop index
+    CHARACTER(LEN=*) ::  mode      !< flag defining mode 'allocate', 'sum' or 'average'
+    CHARACTER(LEN=*) ::  variable  !< name of variable
+
+    INTEGER(iwp) ::  i  !< loop index
+    INTEGER(iwp) ::  j  !< loop index
+    INTEGER(iwp) ::  k  !< loop index
 
     IF ( mode == 'allocate' )  THEN
@@ -841,6 +881,5 @@
                    DO  j = nysg, nyng
                       DO  k = nzb, nzt+1
-                         diss_av(k,j,i) = diss_av(k,j,i)                       &
-                                        / REAL( average_count_3d, KIND=wp )
+                         diss_av(k,j,i) = diss_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -853,6 +892,5 @@
                    DO  j = nysg, nyng
                       DO  k = nzb, nzt+1
-                         kh_av(k,j,i) = kh_av(k,j,i)                           &
-                                        / REAL( average_count_3d, KIND=wp )
+                         kh_av(k,j,i) = kh_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -865,6 +903,5 @@
                    DO  j = nysg, nyng
                       DO  k = nzb, nzt+1
-                         km_av(k,j,i) = km_av(k,j,i)                           &
-                                        / REAL( average_count_3d, KIND=wp )
+                         km_av(k,j,i) = km_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -879,28 +916,29 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Define 2D output variables.
-!------------------------------------------------------------------------------!
- SUBROUTINE tcm_data_output_2d( av, variable, found, grid, mode, local_pf,     &
-                                nzb_do, nzt_do )
-
-    USE averaging,                                                             &
-        ONLY:  diss_av, kh_av, km_av
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE tcm_data_output_2d( av, variable, found, grid, mode, local_pf, nzb_do, nzt_do )
+
+    USE averaging,                                                                                 &
+        ONLY:  diss_av,                                                                            &
+               kh_av,                                                                              &
+               km_av
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  grid       !< name of vertical grid
-    CHARACTER (LEN=*) ::  mode       !< either 'xy', 'xz' or 'yz'
-    CHARACTER (LEN=*) ::  variable   !< name of variable
-
-    INTEGER(iwp) ::  av        !< flag for (non-)average output
-    INTEGER(iwp) ::  flag_nr   !< number of masking flag
-    INTEGER(iwp) ::  i         !< loop index
-    INTEGER(iwp) ::  j         !< loop index
-    INTEGER(iwp) ::  k         !< loop index
-    INTEGER(iwp) ::  nzb_do    !< vertical output index (bottom)
-    INTEGER(iwp) ::  nzt_do    !< vertical output index (top)
+    CHARACTER(LEN=*) ::  grid      !< name of vertical grid
+    CHARACTER(LEN=*) ::  mode      !< either 'xy', 'xz' or 'yz'
+    CHARACTER(LEN=*) ::  variable  !< name of variable
+
+    INTEGER(iwp) ::  av       !< flag for (non-)average output
+    INTEGER(iwp) ::  flag_nr  !< number of masking flag
+    INTEGER(iwp) ::  i        !< loop index
+    INTEGER(iwp) ::  j        !< loop index
+    INTEGER(iwp) ::  k        !< loop index
+    INTEGER(iwp) ::  nzb_do   !< vertical output index (bottom)
+    INTEGER(iwp) ::  nzt_do   !< vertical output index (top)
 
     LOGICAL ::  found     !< flag if output variable is found
@@ -909,6 +947,6 @@
     REAL(wp) ::  fill_value = -9999.0_wp  !< value for the _FillValue attribute
 
-    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf !< local
-       !< array to which output data is resorted to
+    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf  !< local
+     !< array to which output data is resorted to
 
     REAL(wp), DIMENSION(:,:,:), POINTER ::  to_be_resorted  !< points to selected output variable
@@ -926,5 +964,5 @@
              to_be_resorted => diss
           ELSE
-             IF ( .NOT. ALLOCATED( diss_av ) ) THEN
+             IF ( .NOT. ALLOCATED( diss_av ) )  THEN
                 ALLOCATE( diss_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 diss_av = REAL( fill_value, KIND = wp )
@@ -938,5 +976,5 @@
              to_be_resorted => kh
           ELSE
-             IF ( .NOT. ALLOCATED( kh_av ) ) THEN
+             IF ( .NOT. ALLOCATED( kh_av ) )  THEN
                 ALLOCATE( kh_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 kh_av = REAL( fill_value, KIND = wp )
@@ -950,5 +988,5 @@
              to_be_resorted => km
           ELSE
-             IF ( .NOT. ALLOCATED( km_av ) ) THEN
+             IF ( .NOT. ALLOCATED( km_av ) )  THEN
                 ALLOCATE( km_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 km_av = REAL( fill_value, KIND = wp )
@@ -964,10 +1002,9 @@
     END SELECT
 
-    IF ( found .AND. .NOT. resorted )  THEN
+    IF ( found  .AND.  .NOT.  resorted )  THEN
        DO  i = nxl, nxr
           DO  j = nys, nyn
              DO  k = nzb_do, nzt_do
-                local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
-                                  REAL( fill_value, KIND = wp ),               &
+                local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i), REAL( fill_value, KIND = wp ),     &
                                   BTEST( wall_flags_total_0(k,j,i), flag_nr ) )
              ENDDO
@@ -979,26 +1016,28 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Define 3D output variables.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
 
 
-    USE averaging,                                                             &
-        ONLY:  diss_av, kh_av, km_av
+    USE averaging,                                                                                 &
+        ONLY:  diss_av,                                                                            &
+               kh_av,                                                                              &
+               km_av
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  variable   !< name of variable
-
-    INTEGER(iwp) ::  av        !< flag for (non-)average output
-    INTEGER(iwp) ::  flag_nr   !< number of masking flag
-    INTEGER(iwp) ::  i         !< loop index
-    INTEGER(iwp) ::  j         !< loop index
-    INTEGER(iwp) ::  k         !< loop index
-    INTEGER(iwp) ::  nzb_do    !< lower limit of the data output (usually 0)
-    INTEGER(iwp) ::  nzt_do    !< vertical upper limit of the data output (usually nz_do3d)
+    CHARACTER(LEN=*) ::  variable  !< name of variable
+
+    INTEGER(iwp) ::  av       !< flag for (non-)average output
+    INTEGER(iwp) ::  flag_nr  !< number of masking flag
+    INTEGER(iwp) ::  i        !< loop index
+    INTEGER(iwp) ::  j        !< loop index
+    INTEGER(iwp) ::  k        !< loop index
+    INTEGER(iwp) ::  nzb_do   !< lower limit of the data output (usually 0)
+    INTEGER(iwp) ::  nzt_do   !< vertical upper limit of the data output (usually nz_do3d)
 
     LOGICAL ::  found     !< flag if output variable is found
@@ -1007,5 +1046,5 @@
     REAL(wp) ::  fill_value = -9999.0_wp  !< value for the _FillValue attribute
 
-    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf   !< local
+    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf  !< local
        !< array to which output data is resorted to
 
@@ -1024,5 +1063,5 @@
              to_be_resorted => diss
           ELSE
-             IF ( .NOT. ALLOCATED( diss_av ) ) THEN
+             IF ( .NOT. ALLOCATED( diss_av ) )  THEN
                 ALLOCATE( diss_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 diss_av = REAL( fill_value, KIND = wp )
@@ -1035,5 +1074,5 @@
              to_be_resorted => kh
           ELSE
-             IF ( .NOT. ALLOCATED( kh_av ) ) THEN
+             IF ( .NOT. ALLOCATED( kh_av ) )  THEN
                 ALLOCATE( kh_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 kh_av = REAL( fill_value, KIND = wp )
@@ -1046,5 +1085,5 @@
              to_be_resorted => km
           ELSE
-             IF ( .NOT. ALLOCATED( km_av ) ) THEN
+             IF ( .NOT. ALLOCATED( km_av ) )  THEN
                 ALLOCATE( km_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 km_av = REAL( fill_value, KIND = wp )
@@ -1059,12 +1098,10 @@
 
 
-    IF ( found .AND. .NOT. resorted )  THEN
+    IF ( found  .AND.  .NOT.  resorted )  THEN
        DO  i = nxl, nxr
           DO  j = nys, nyn
              DO  k = nzb_do, nzt_do
-                local_pf(i,j,k) = MERGE(                                 &
-                                   to_be_resorted(k,j,i),                &
-                                   REAL( fill_value, KIND = wp ),        &
-                                   BTEST( wall_flags_total_0(k,j,i), flag_nr ) )
+                local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i), REAL( fill_value, KIND = wp ),     &
+                                  BTEST( wall_flags_total_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1076,15 +1113,15 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Allocate arrays and assign pointers.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_init_arrays
 
-    USE bulk_cloud_model_mod,                                                  &
+    USE bulk_cloud_model_mod,                                                                      &
         ONLY:  collision_turbulence
 
-    USE pmc_interface,                                                         &
+    USE pmc_interface,                                                                             &
         ONLY:  nested_run
 
@@ -1100,7 +1137,7 @@
 !
 !-- Allocate arrays required for dissipation.
-!-- Please note, if it is a nested run, arrays need to be allocated even if
-!-- they do not necessarily need to be transferred, which is attributed to
-!-- the design of the model coupler which allocates memory for each variable.
+!-- Please note, if it is a nested run, arrays need to be allocated even if they do not necessarily
+!-- need to be transferred, which is attributed to the design of the model coupler which allocates
+!-- memory for each variable.
     ALLOCATE( diss_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 
@@ -1122,24 +1159,28 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Initialization of turbulence closure module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_init
 
-    USE control_parameters,                                                    &
-        ONLY:  bc_dirichlet_l, complex_terrain, topography
-
-    USE model_1d_mod,                                                          &
-        ONLY:  e1d, kh1d, km1d
+    USE control_parameters,                                                                        &
+        ONLY:  bc_dirichlet_l,                                                                     &
+               complex_terrain,                                                                    &
+               topography
+
+    USE model_1d_mod,                                                                              &
+        ONLY:  e1d,                                                                                &
+               kh1d,                                                                               &
+               km1d
 
     IMPLICIT NONE
 
-    INTEGER(iwp) :: i            !< loop index
-    INTEGER(iwp) :: j            !< loop index
-    INTEGER(iwp) :: k            !< loop index
-    INTEGER(iwp) :: nz_s_shift   !< lower shift index for scalars
-    INTEGER(iwp) :: nz_s_shift_l !< local lower shift index in case of turbulent inflow
+    INTEGER(iwp) :: i             !< loop index
+    INTEGER(iwp) :: j             !< loop index
+    INTEGER(iwp) :: k             !< loop index
+    INTEGER(iwp) :: nz_s_shift    !< lower shift index for scalars
+    INTEGER(iwp) :: nz_s_shift_l  !< local lower shift index in case of turbulent inflow
 
 !
@@ -1149,10 +1190,10 @@
 !
 !-- Actions for initial runs
-    IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.            &
+    IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.                                &
          TRIM( initializing_actions ) /= 'cyclic_fill' )  THEN
 
        IF ( INDEX( initializing_actions, 'set_1d-model_profiles' ) /= 0 )  THEN
 
-          IF ( .NOT. rans_tke_e ) THEN
+          IF ( .NOT. rans_tke_e )  THEN
 !
 !--          Transfer initial profiles to the arrays of the 3D model
@@ -1173,6 +1214,6 @@
           ELSE
 !
-!--          In case of TKE-e closure in RANS mode, do not use e, diss, and km
-!--          profiles from 1D model. Instead, initialize with constant profiles
+!--          In case of TKE-e closure in RANS mode, do not use e, diss, and km profiles from 1D
+!--          model. Instead, initialize with constant profiles
              IF ( constant_diffusion )  THEN
                 km = km_constant
@@ -1183,6 +1224,5 @@
                    DO  j = nysg, nyng
                       DO  k = nzb+1, nzt
-                         km(k,j,i) = c_0 * SQRT( e_init ) * MIN( delta(k,j,i), &
-                                                                 ml_blackadar(k) )
+                         km(k,j,i) = c_0 * SQRT( e_init ) * MIN( delta(k,j,i), ml_blackadar(k) )
                       ENDDO
                    ENDDO
@@ -1194,8 +1234,7 @@
              ELSE
                 IF ( .NOT. ocean_mode )  THEN
-                   kh   = 0.01_wp   ! there must exist an initial diffusion, because
-                   km   = 0.01_wp   ! otherwise no TKE would be produced by the
-                                    ! production terms, as long as not yet
-                                    ! e = (u*/cm)**2 at k=nzb+1
+                   kh   = 0.01_wp   ! There must exist an initial diffusion, because otherwise no
+                   km   = 0.01_wp   ! TKE would be produced by the production terms, as long as not
+                                    ! yet e = (u*/cm)**2 at k=nzb+1
                 ELSE
                    kh   = 0.00001_wp
@@ -1217,5 +1256,5 @@
           ENDIF
 
-       ELSEIF ( INDEX( initializing_actions, 'set_constant_profiles' ) /= 0 .OR. &
+       ELSEIF ( INDEX( initializing_actions, 'set_constant_profiles' ) /= 0 .OR.                   &
                 INDEX( initializing_actions, 'inifor' ) /= 0 )  THEN
 
@@ -1238,7 +1277,6 @@
           ELSE
              IF ( .NOT. ocean_mode )  THEN
-                kh   = 0.01_wp   ! there must exist an initial diffusion, because
-                km   = 0.01_wp   ! otherwise no TKE would be produced by the
-                                 ! production terms, as long as not yet
+                kh   = 0.01_wp   ! There must exist an initial diffusion, because otherwise no TKE
+                km   = 0.01_wp   ! would be produced by the production terms, as long as not yet
                                  ! e = (u*/cm)**2 at k=nzb+1
              ELSE
@@ -1277,14 +1315,11 @@
        ENDIF
 
-    ELSEIF ( TRIM( initializing_actions ) == 'read_restart_data'  .OR.         &
-             TRIM( initializing_actions ) == 'cyclic_fill' )                   &
-    THEN
-
-!
-!--    In case of complex terrain and cyclic fill method as initialization,
-!--    shift initial data in the vertical direction for each point in the
-!--    x-y-plane depending on local surface height
-       IF ( complex_terrain  .AND.                                             &
-            TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
+    ELSEIF ( TRIM( initializing_actions ) == 'read_restart_data'  .OR.                             &
+             TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
+
+!
+!--    In case of complex terrain and cyclic fill method as initialization, shift initial data in
+!--    the vertical direction for each point in the x-y-plane depending on local surface height
+       IF ( complex_terrain  .AND.  TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
           DO  i = nxlg, nxrg
              DO  j = nysg, nyng
@@ -1311,13 +1346,11 @@
 !
 !--    Initialization of the turbulence recycling method
-       IF ( TRIM( initializing_actions ) == 'cyclic_fill'  .AND.               &
-            turbulent_inflow )  THEN
+       IF ( TRIM( initializing_actions ) == 'cyclic_fill'  .AND.  turbulent_inflow )  THEN
           mean_inflow_profiles(:,5) = hom_sum(:,8,0)   ! e
 !
-!--       In case of complex terrain, determine vertical displacement at inflow
-!--       boundary and adjust mean inflow profiles
+!--       In case of complex terrain, determine vertical displacement at inflow boundary and adjust
+!--       mean inflow profiles
           IF ( complex_terrain )  THEN
-             IF ( nxlg <= 0 .AND. nxrg >= 0 .AND.  &
-                  nysg <= 0 .AND. nyng >= 0        )  THEN
+             IF ( nxlg <= 0  .AND.  nxrg >= 0  .AND.  nysg <= 0  .AND.  nyng >= 0 )  THEN
                 nz_s_shift_l = topo_top_ind(0,0,0)
              ELSE
@@ -1325,15 +1358,12 @@
              ENDIF
 #if defined( __parallel )
-             CALL MPI_ALLREDUCE(nz_s_shift_l, nz_s_shift, 1, MPI_INTEGER,      &
-                                MPI_MAX, comm2d, ierr)
+             CALL MPI_ALLREDUCE(nz_s_shift_l, nz_s_shift, 1, MPI_INTEGER, MPI_MAX, comm2d, ierr)
 #else
              nz_s_shift = nz_s_shift_l
 #endif
-             mean_inflow_profiles(nz_s_shift:nzt+1,5) =  &
-                hom_sum(0:nzt+1-nz_s_shift,8,0)  ! e
+             mean_inflow_profiles(nz_s_shift:nzt+1,5) = hom_sum(0:nzt+1-nz_s_shift,8,0)  ! e
           ENDIF
 !
-!--       Use these mean profiles at the inflow (provided that Dirichlet
-!--       conditions are used)
+!--       Use these mean profiles at the inflow (provided that Dirichlet conditions are used)
           IF ( bc_dirichlet_l )  THEN
              DO  j = nysg, nyng
@@ -1346,15 +1376,12 @@
 !
 !--    Inside buildings set TKE back to zero
-       IF ( TRIM( initializing_actions ) == 'cyclic_fill' .AND.                &
-            topography /= 'flat' )  THEN
+       IF ( TRIM( initializing_actions ) == 'cyclic_fill' .AND. topography /= 'flat' )  THEN
 !
 !--       Inside buildings set TKE back to zero.
-!--       Other scalars (km, kh,...) are ignored at present,
-!--       maybe revise later.
+!--       Other scalars (km, kh,...) are ignored at present, maybe revise later.
           DO  i = nxlg, nxrg
              DO  j = nysg, nyng
                 DO  k = nzb, nzt
-                   e(k,j,i)     = MERGE( e(k,j,i), 0.0_wp,                     &
-                                         BTEST( wall_flags_total_0(k,j,i), 0 ) )
+                   e(k,j,i) = MERGE( e(k,j,i), 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
                 ENDDO
              ENDDO
@@ -1365,6 +1392,6 @@
                 DO  j = nysg, nyng
                    DO  k = nzb, nzt
-                      diss(k,j,i)    = MERGE( diss(k,j,i), 0.0_wp,             &
-                                         BTEST( wall_flags_total_0(k,j,i), 0 ) )
+                      diss(k,j,i) = MERGE( diss(k,j,i), 0.0_wp,                                    &
+                                    BTEST( wall_flags_total_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -1373,11 +1400,9 @@
        ENDIF
 !
-!--    Initialize new time levels (only done in order to set boundary values
-!--    including ghost points)
+!--    Initialize new time levels (only done in order to set boundary values including ghost points)
        e_p = e
 !
-!--    Allthough tendency arrays are set in prognostic_equations, they have
-!--    to be predefined here because there they are used (but multiplied with 0)
-!--    before they are set.
+!--    Although tendency arrays are set in prognostic_equations, they have to be predefined here
+!--    because there they are used (but multiplied with 0) before they are set.
        te_m = 0.0_wp
 
